ECHO OFF
CLS
ECHO 
ECHO                     Section 18 PACTOR OPERATION
ECHO 
ECHO PACTOR is a new operating mode added with version 5.5 of the
ECHO PC-PAKRATT II program.  To operate PACTOR you must have a PK-232 MBX,
ECHO PK-900, DSP-1232 or DSP-2232 data controller with the optional PACTOR
ECHO firmware.  If the firmware in your data controller does not support
ECHO PACTOR, you will not be able to use this operating mode.
ECHO 
ECHO PACTOR combines many of the best features of Packet and AMTOR
ECHO together into a new mode which is well suited to the difficult and
ECHO noisy conditions found on the HF bands.  Like packet, PACTOR uses
ECHO the ASCII character set and allows 7-bit files to be transmitted.
ECHO 
ECHO It is helpful to think of PACTOR like an extended version of AMTOR that
ECHO includes both upper and lower case characters.  Like AMTOR, PACTOR is most
ECHO reliable when two stations are connected in an ARQ handshaking fashion.
ECHO If you are familiar with AMTOR operation, PACTOR will be a snap.
ECHO 
ECHO Be sure you have read and understand the information in your data
ECHO controller manual for PACTOR operation.  Also be sure you have
ECHO properly installed the PC-PAKRATT II program as described in the
ECHO Installation section of the PC-PAKRATT II Operating Manual.
ECHO 
PAUSE
ECHO 
ECHO 
ECHO 
ECHO To start the PC-PAKRATT II program do the following:
ECHO 
ECHO 1.  Turn your computer ON.
ECHO 
ECHO 2.  Move to the PCPAKRAT directory on your computer.
ECHO     (At the DOS prompt, type CD\PCPAKRAT and press "<ENTER>".)
ECHO 
ECHO 3.  At the new DOS prompt, type PP and press "<ENTER>".
ECHO 
ECHO PC-PAKRATT II will load and you should see the Communications Menu.  
ECHO If you see any error messages during the initialization process, 
ECHO just press any key to finish the initialization.  If you have 
ECHO properly configured the system as described in Section 4 (SYSTEM 
ECHO STARTUP) of the PC-PAKRATT II operating manual, you should see no 
ECHO errors.
ECHO 
ECHO At the Communications Menu, select the "PACTOR Screen" option.
ECHO The PACTOR screen similar to the one shown below will be displayed.
ECHO 
ECHO 
ECHO 
PAUSE
ECHO ͻ
ECHO                                                                 
ECHO                                                                 
ECHO                                                                 
ECHO _______________________ESC to Exit______________________000 ____
ECHO                                                                 
ECHO ALT-H:HelpALT-M:Macro KeysCTRL-Pg-Up:Clear BufferͶ
ECHO  PACTOR      100                        Mdm:OFF TMail:OFF xx:xx 
ECHO  Recv        Huff         PACTOR  Standby   PT200:ON      xx:xxZ
ECHO ___ALT-L:MiniLog____PgUp:Scroll Back____Home:Log____xx/xx/xx____
ECHO ͼ
ECHO 
ECHO Like the Packet screen, the PACTOR screen is divided into  three
ECHO sections.  The top area is the Receive window and its size is
ECHO determined by what you specify in the PC-PAKRATT Parameters menu.
ECHO This is where you will see the information being transmitted to you.
ECHO 
ECHO The middle section, just below the "ESC to Exit" line is the Send window.
ECHO What you type into this area is what will be transmitted.  Its size is
ECHO what's left of the available space after defining the receive window.
ECHO 
ECHO The bottom portion is the Status window.  It contains the current
ECHO PACTOR status indicators.  These are described below.  Remember
ECHO you can use the mouse to click on any of the items discussed below.
PAUSE
ECHO 
ECHO The "<ALT><H>" key combination takes you to the PACTOR Help screen.  
ECHO      When you are viewing the HELP screen, you can use the mouse to 
ECHO      point to any of the listed items and click once with the left 
ECHO      mouse button to "do" whatever that item does (e.g., click on 
ECHO      "Tmail:OFF" to enable or disable the PACTOR MailDrop).  You 
ECHO      can also simply type the highlighted letter to enable the 
ECHO      function.  When you click on "<ESC>", however, you will only go
ECHO      back to the PACTOR screen, not exit to the Communications
ECHO      Menu.  If you click on or press "<ESC>" while the PACTOR screen
ECHO      is displayed, then you will go to the Communications Menu.
ECHO 
ECHO Refer to the "PACTOR Help Screen" paragraphs later in this section
ECHO for more information.
ECHO 
ECHO PACTOR indicates that you are operating in the PACTOR mode.
ECHO      Directly under this you will see either "Recv" or "Xmit" to
ECHO      indicate whether you are in the "Receive" or "Transmit" mode.
ECHO 
ECHO 100 indicates that the current PACTOR speed is 100 baud.  This
ECHO      status indicator will read either 100 or 200 depending on the
ECHO      speed of the PACTOR link.
ECHO 
ECHO 
PAUSE
ECHO 
ECHO 
ECHO Huff indicates that Huffman compression is being used either on 
ECHO      the text being received or on your transmitted text.  The use 
ECHO      of Huffman Compression on transmit is controlled by the PTHUFF 
ECHO      command found on the PACTOR parameter setup screen.
ECHO 
ECHO Mdm indicates whether or not PACTOR MailDrop activity will be
ECHO      monitored.  The default is OFF, which means that normal
ECHO      monitoring is determined by the monitoring mode commands you
ECHO      defined during the Setup process.  Press "<F7>" to change to ON.
ECHO 
ECHO Tmail: indicates the status of the PACTOR Mailbox (TMAIL) parameter.
ECHO 
ECHO In addition, both the current time and UTC time are shown in the
ECHO lower right-hand corner in military format.  UTC time is followed
ECHO by the letter Z.
ECHO 
ECHO There are also a number of function keys and other key combinations
ECHO that are active when you are operating in PACTOR mode:
ECHO 
ECHO ALT-M:Macro Keys lets you use any of the macros you've previously
ECHO      defined.
ECHO 
ECHO 
PAUSE
ECHO 
ECHO 
ECHO ALT-L:MiniLog takes you to the mini-log (it will be displayed at
ECHO      the bottom of the screen).
ECHO 
ECHO PgUp:Scroll Back allows you to scroll through the data in the top
ECHO      section.  You can press "<F2>" to save the information to disk.
ECHO      You will be prompted for a file name.  The system will assume
ECHO      you want the file saved in the current directory, so if you want
ECHO      to save it to another location, type in the full path name.
ECHO 
ECHO Home:Log takes you to the QSO Log program.
ECHO 
ECHO "<ESC>" returns you to the Communications Menu.
ECHO 
ECHO 
ECHO 
ECHO 
ECHO 
ECHO 
ECHO 
ECHO 
ECHO 
ECHO 
PAUSE
ECHO 
ECHO 
ECHO 
ECHO listen to a few QSOs in the PTLIST(en) mode before initiating a 
ECHO contact yourself.
ECHO 
ECHO You must press the the "<F10>" key to enter the PACTOR Listen mode 
ECHO to monitor other stations.  The on-screen status display will show 
ECHO that the data controller is now in PTLIST mode and is attempting to 
ECHO phase with the received signal as shown below.
ECHO 
ECHO ALT-H:HelpALT-M:Macro KeysCTRL-Pg-Up:Clear BufferͶ
ECHO  PACTOR      100                        Mdm:OFF TMail:OFF xx:xx 
ECHO  Recv                     PTLIST  Phasing   PT200:ON      xx:xxZ
ECHO ___ALT-L:MiniLog____PgUp:Scroll Back____Home:Log____xx/xx/xx____
ECHO ͼ
ECHO 
ECHO 
ECHO The best place to monitor other PACTOR stations is between 14.070
ECHO and 14.090 MHz on the 20-meter amateur band.  Listen for the 1-
ECHO second "cricket-sound" (i.e., "chirp chirp") of ARQ PACTOR signals.
ECHO 
ECHO 
ECHO 
PAUSE
ECHO 
ECHO 
ECHO To send a PACTOR CQ from the PACTOR Operating Screen, perform the
ECHO following steps:
ECHO 
ECHO 1.   Make sure that MYPTCAL is defined in the Setup Screen.  To check,
ECHO      press "<ALT><K>" and the PACTOR Setup Screen will be displayed.
ECHO      If there is nothing in the MYPTCAL field, then move to that field
ECHO      and type it in now.  Type in your call sign.  Actually, you may
ECHO      type up to 8 alphanumeric characters in this field.
ECHO      Press "<ESC>" to return to the PACTOR Operating Screen.
ECHO 
ECHO      Don't forget to save the parameters in the Files Menu or you'll 
ECHO      have to enter the MYPTCAL callsign each time the program is run.
ECHO 
ECHO 2.   Press "<F3>".  This will put the data controller into the 
ECHO      "PTSEND" mode.  You can verify this by checking the on-screen 
ECHO      status display or the front panel of your data controller.
ECHO 
ECHO 3.   Type as many CQs as you want, followed by de followed by your 
ECHO      call sign.  For example:
ECHO 
ECHO           CQ CQ CQ CQ de yourcall yourcall yourcall yourcall K K K
ECHO 
ECHO      It doesn't matter how many times you type CQ.
ECHO 
PAUSE
ECHO 
ECHO      Be sure to type "de" before you type your call sign.
ECHO 
ECHO      Type your call sign at least once.
ECHO 
ECHO      After the last CQ line, type KKK  (for "Over").
ECHO 
ECHO      You can use a keyboard macro to accomplish all of this.
ECHO      Refer to Section 13 of the PC-PAKRATT II Operating Manual, 
ECHO      CREATING AND USING MACROS.
ECHO 
ECHO 4.   Press "<CTRL><D>" to end the transmission and transfer the data controller
ECHO      to "Receive" mode.  You can even build that into your macro.
ECHO 
ECHO 5.   After you have called CQ, listen carefully to the receiver for 
ECHO      the sound of another station calling you.  PACTOR stations
ECHO      normally respond to a CQ in ARQ PACTOR (A 1-second on-off
ECHO      chirping sound will be heard) which will cause your 
ECHO      transmitter to automatically turn on and off about once per 
ECHO      second.  If you need to fine-tune the calling station, be sure 
ECHO      to use the transceiver's RIT to avoid changing your transmit 
ECHO      frequency.  When you see your on-screen status change from 
ECHO      Recv to Xmit, you'll know that the other station has turned 
ECHO      over control of the conversation to you.
ECHO 
PAUSE
ECHO 
ECHO 6.   Type your part of the conversation in the bottom portion of
ECHO      the screen.  As you type, you will see what you are typing
ECHO      echoed in the "Receive" portion of the screen at the same time
ECHO      the other station receives the data.
ECHO 
ECHO 7.   When you are finished, press "<END>" to transmit the "<CTRL-Z>"
ECHO      end-of-transmission symbol and let the other station know you
ECHO      are returning control of the conversation to him.
ECHO 
ECHO PACTOR operation is a two-person, one-way connection.  When you are
ECHO transmitting, the other party may not transmit.  When you are through
ECHO typing your message, the "<CTRL-Z>" will let the other party know that
ECHO you are returning control to him.  Remember, when you are transmitting,
ECHO the on-screen status indicator and the front panel of the data controller
ECHO will indicate you are the sending station.  When you are receiving, the
ECHO Recv and other on-screen indicators will be on depending on exactly what 
ECHO is occurring on the Link.
ECHO 
ECHO PACTOR communications are conducted in Unprotocol and Connected
ECHO (ARQ) modes.  When you press "<F3>" to start PACTOR operation, you
ECHO send your CQs in Unprotocol PACTOR.  This is similar to FEC AMTOR
ECHO operation.  When you switch to "Receive" you are ready to start a
ECHO connected mode contact.  This is similar to ARQ AMTOR operation.
ECHO 
PAUSE
ECHO 
ECHO 
ECHO To link with another PACTOR operator whose CQ signal you pick up,
ECHO perform the following steps:
ECHO 
ECHO 1.   When you scan the airwaves and find a PACTOR station with whom
ECHO      you'd like to communicate, be sure to note the callsign.
ECHO 
ECHO 2.   Press "<F4>".
ECHO 
ECHO 3.   Type the callsign that you noted and press "<ENTER>".
ECHO 
ECHO 4.   Check your status in the status portion of the screen.  When you
ECHO      achieve a successful link, you will see the "Connected" message.
ECHO 
ECHO 5.   Repeat steps 5-7 from the previous description for the
ECHO      duration of the conversation.
ECHO 
ECHO To terminate a PACTOR link after saying "73", press "<CTRL><D>" or
ECHO "<F8>".  This will completely break the link so be sure the other
ECHO party is expecting it.
ECHO 
ECHO 
ECHO 
PAUSE
ECHO 
ECHO 
ECHO PACTOR HELP SCREEN
ECHO 
ECHO When you are operating in the PACTOR mode, you can press "<ALT><H>" to
ECHO see the PACTOR Help screen.  Use the "<PAGE UP>" and "<PAGE DOWN>" keys
ECHO to view additional information.  It contains a list of the function keys
ECHO and function key combinations and a brief description of what they do.
ECHO Here's the same information with a little more explanation:
ECHO 
ECHO "<F1>" Open/Close Log File.  When you press this function key, you'll
ECHO      will begin saving the contents of the Receive screen as it is
ECHO      displayed and continue saving it until you press "<F1>" again.
ECHO      You will be prompted for a CAPTURE file name.  To save data
ECHO      that you have already captured in the QSO buffer, press the
ECHO      "<PAGE UP>" key and do this from the scroll-back buffer.
ECHO 
ECHO "<Shift F1>" Start/Stop File Upload.  This function key combination
ECHO      allows you to upload any of five message buffers or any text
ECHO      file that you specify.
ECHO 
ECHO "<CTRL F1>" View a File.  This function key combination lets you look
ECHO      at message or note files or any text file that you specify.
ECHO 
ECHO 
PAUSE
ECHO 
ECHO "<ALT F1>" Hold/Release Log File.  When you press these keys, you
ECHO      pause (or resume) saving text to a log file.
ECHO 
ECHO "<F2>" MDCHECK/Mail Menu.  This function key moves you to the Mail
ECHO      mode and displays the Mail menu.
ECHO 
ECHO "<Shift F2>" Open/Close Printer.  Starts and stops the printing of Rx Window
ECHO      data.  When you are printing, you will see PRN in the status area.
ECHO 
ECHO "<ALT F2>" Hold/Release Printer.  This combination allows you to
ECHO      temporarily prevent the printer from printing.  You will see
ECHO      HOLD in the status area.
ECHO 
ECHO "<F3>" Unproto PACTOR Call.  When you want to call "CQ" in PACTOR or
ECHO      want to communicate with another PACTOR station located very
ECHO      close to you, press "<F3>" and begin your transmission.
ECHO 
ECHO "<F4>" PACTOR Connect.  When you press this key, you will be prompted
ECHO      for the callsign of the station whose CQ you want to acknowledge.
ECHO 
ECHO "<ALT-F6>" TCLEAR.  This clears the transmit buffer of the data controller.
ECHO 
ECHO 
PAUSE
ECHO 
ECHO 
ECHO "<F7>" Toggle MDMON.  This turns the MDM parameter on and off.  The
ECHO      status will be displayed in the lower portion of the screen.
ECHO 
ECHO "<Shift F7>" Toggle TMAIL.  This turns the PACTOR mailbox off and on.
ECHO 
ECHO "<ALT F7>" FREE.  When you press this key combination you will see a
ECHO      message in the Receive portion of the screen that tells you
ECHO      how many bytes are free in MailDrop.
ECHO 
ECHO "<F8>" PACTOR Standby.  This places the data controller in the PACTOR
ECHO      standby mode.  The word "Standby" will appear in the bottom
ECHO      line of the status area.
ECHO 
ECHO "<F9>" ACHG.  This forces a changeover in a connected ARQ PACTOR
ECHO      contact.  It grabs the link so you can become the transmitting
ECHO      station.  Don't do this unless you really need to.
ECHO 
ECHO "<F10>" PTLIST.  This key places the system in PACTOR-L(isten) mode.
ECHO 
ECHO "<ALT-B>" Toggle Break-In Buffer.  This allows you to insert some
ECHO      text before anything you might have typed into the transmit
ECHO      buffer is sent.
ECHO 
PAUSE
ECHO 
ECHO "<ALT-C>" Clear Rx Window.  This clears the Receive screen of all data.
ECHO 
ECHO "<ALT-D>" Shell to DOS.  This will take you to the DOS prompt.  When
ECHO      you are through doing whatever it was that you needed to do at
ECHO      the DOS prompt, just type EXIT and press "<ENTER>" to return to
ECHO      the PACTOR screen.  Do not stay shelled to DOS for extended
ECHO      periods.  The data controller may lose data.
ECHO 
ECHO "<ALT-E>" Call Editor.  This key combination brings up a menu that allows
ECHO      you to edit any of 5 messages, 2 notes or the text file of your
ECHO      choice.  If you do not have enough free memory to load the editor,
ECHO      you will see an error message informing you of the deficiency.
ECHO 
ECHO "<ALT-L>" Call MiniLog.  This will bring up the mini-QSO log at the
ECHO      bottom of the screen.
ECHO 
ECHO "<ALT-M>" Define Keyboard Macros.  This lets you create macros for
ECHO      use in PACTOR or any other mode of operation.
ECHO 
ECHO      (Refer to Section 13 of the PC-PAKRATT II Operating Manual,
ECHO      CREATING AND USING MACROS.)
ECHO 
ECHO 
PAUSE
ECHO 
ECHO "<ALT-K>" Parameter Setup Screen.  This will take you to the PACTOR
ECHO      Setup screen.
ECHO 
ECHO "<ALT-S>" SETUP Screens.  This takes you to the Configuration Menu so
ECHO      you can choose the Setup screen you wish to look at or modify.
ECHO 
ECHO "<ALT-T>" Clear Tx Window.  This clears the Send window of all data.
ECHO 
ECHO "<ALT-Z>" Change Mode.  This allows you to switch to another
ECHO      operating mode (e.g., Packet, Baudot)
ECHO 
ECHO "<ALT-1 through 0>" Execute Keyboard Macro.  This allows you to accomplish
ECHO      in one (or two or a few) keystrokes what might otherwise have
ECHO      required many.  It invokes the macros you defined using "<ALT><M>".
ECHO      Refer to Section 13 of the PC-PAKRATT II Operating Manual
ECHO      (CREATING AND USING MACROS) for more information.
ECHO 
ECHO "<END>" ^Z.  This terminates the transmission but not the link.  It
ECHO      causes the "<CTRL-Z>" to be sent which changes the direction of
ECHO      the PACTOR link and turns control of the conversation over to him.
ECHO 
ECHO 
ECHO 
PAUSE
ECHO 
ECHO 
ECHO 
ECHO 
ECHO "<HOME>" Call QSO Log Facility. This takes you to the full QSO 
ECHO      logging program.
ECHO 
ECHO "<PgUp>" Scroll Back Buffer.  This allows you to scroll through the 
ECHO      Receive data that has been stored in the Scroll Back Buffer.
ECHO 
ECHO "<CTRL-PgUp>" Clear Scroll Back Buffer.  This allows you to erase the 
ECHO      Scroll Back Buffer.
ECHO 
ECHO "<ESC>" Return to Communications Menu.  This exits PACTOR mode and 
ECHO      returns to the Communications Menu.  If you are looking at the 
ECHO      PACTOR Help Screen when you press "<ESC>", you will return to 
ECHO      the PACTOR screen.
ECHO 
ECHO 
ECHO 
ECHO 
ECHO (End of PC-PAKRATT II version 5.5 PACTOR documentation)
ECHO 
ECHO 
